## class OSGUTIL_EXPORT osgUtil::RenderToTextureStage

> RenderStage which copies the final image to an attached texture or image.

## Inheritance:

### Public Methods

RenderToTextureStage()
virtual osg::Object* cloneType() const
virtual osg::Object* clone(const osg::CopyOp&) const
virtual bool isSameKindAs(const osg::Object* obj) const
virtual const char* libraryName() const
virtual const char* className() const
virtual void reset()
void setTexture(osg::Texture2D* texture)
osg::Texture2D* getTexture()
void setImage(osg::Image* image)
osg::Image* getImage()
virtual void draw(osg::State& state, RenderLeaf*& previous)

### Protected Fields

osg::ref_ptr<osg::Texture2D> _texture
osg::ref_ptr<osg::Image> _image

### Protected Methods

virtual ~RenderToTextureStage()

### Inherited from RenderStage:

### Public Fields

bool _stageDrawnThisFrame
DependencyList _dependencyList
osg::ref_ptr<osg::Viewport> _viewport
GLbitfield _clearMask
osg::ref_ptr<osg::ColorMask> _colorMask
osg::Vec4 _clearColor
osg::Vec4 _clearAccum
double _clearDepth
int _clearStencil
mutable osg::ref_ptr<RenderStageLighting> _renderStageLighting

### Public Methods

void setViewport(osg::Viewport* viewport)
const osg::Viewport* getViewport() const
osg::Viewport* getViewport()
void setClearMask(GLbitfield mask)
GLbitfield getClearMask() const
void setColorMask(osg::ColorMask* cm)
osg::ColorMask* getColorMask()
const osg::ColorMask* getColorMask() const
void setClearColor(const osg::Vec4& color)
const osg::Vec4& getClearColor() const
void setClearAccum(const osg::Vec4& color)
const osg::Vec4& getClearAccum() const
void setClearDepth(double depth)
double getClearDepth() const
void setClearStencil(int stencil)
int getClearStencil() const
void setRenderStageLighting(RenderStageLighting* rsl)
RenderStageLighting* getRenderStageLighting() const
virtual void addPositionedAttribute(osg::RefMatrix* matrix, const osg::StateAttribute* attr)
virtual void drawPreRenderStages(osg::State& state, RenderLeaf*& previous)
virtual void drawImplementation(osg::State& state, RenderLeaf*& previous)
void addToDependencyList(RenderStage* rs)
bool getStats(Statistics* primStats)

### Public Members

typedef std::vector< osg::ref_ptr<RenderStage> > DependencyList

### Inherited from RenderBin:

### Public Fields

int _binNum
RenderBin* _parent
RenderStage* _stage
RenderBinList _bins
RenderGraphList _renderGraphList
RenderLeafList _renderLeafList
SortMode _sortMode
osg::ref_ptr<SortCallback> _sortCallback
osg::ref_ptr<DrawCallback> _drawCallback

### Public Methods

static RenderBin* createRenderBin(const std::string& binName)
static RenderBin* getRenderBinPrototype(const std::string& binName)
static void addRenderBinPrototype(const std::string& binName, RenderBin* proto)
static void removeRenderBinPrototype(RenderBin* proto)
RenderBin* find_or_insert(int binNum, const std::string& binName)
void addRenderGraph(RenderGraph* rg)
void sort()
virtual void sortImplementation()
void setSortMode(SortMode mode)
SortMode getSortMode() const
virtual void sortByState()
virtual void sortFrontToBack()
virtual void sortBackToFront()
void setSortCallback(SortCallback* sortCallback)
SortCallback* getSortCallback()
const SortCallback* getSortCallback() const
void setDrawCallback(DrawCallback* drawCallback)
DrawCallback* getDrawCallback()
const DrawCallback* getDrawCallback() const
void getPrims(Statistics* primStats)
bool getPrims(Statistics* primStats, int nbin)
void copyLeavesFromRenderGraphListToRenderLeafList()

### Public Members

typedef std::vector<RenderLeaf*> RenderLeafList
typedef std::vector<RenderGraph*> RenderGraphList
typedef std::map< int, osg::ref_ptr<RenderBin> > RenderBinList
enum SortMode
struct SortCallback: public osg::Referenced
struct DrawCallback: public osg::Referenced

## Documentation

> RenderStage which copies the final image to an attached texture or image. Generally used as a pre-rendering stage.

`RenderToTextureStage()`

`virtual osg::Object* cloneType() const`

`virtual osg::Object* clone(const osg::CopyOp&) const`

`virtual bool isSameKindAs(const osg::Object* obj) const`

`virtual const char* libraryName() const`

`virtual const char* className() const`

`virtual void reset()`

`void setTexture(osg::Texture2D* texture)`

`osg::Texture2D* getTexture()`

`void setImage(osg::Image* image)`

`osg::Image* getImage()`

`virtual void draw(osg::State& state, RenderLeaf*& previous)`

`virtual ~RenderToTextureStage()`

`osg::ref_ptr<osg::Texture2D> _texture`

`osg::ref_ptr<osg::Image> _image`

This class has no child classes.

Alphabetic index HTML hierarchy of classes or Java

This page was generated with the help of DOC++.